{% extends "ajax/ajax_plain.html.twig" %}

{% block ajax_base %}
    {% block header %}
        {% if is_granted('ROLE_USER') and apps is defined and (clock is not defined or clock.attack != 0) %}
            <div id="apps">
                <h1><img src="{{ asset('build/images/icons/small_archive.gif') }}" alt="{{ 'Verzeichnis'|trans({},'global') }}"><span>{{ 'Verzeichnis'|trans({},'global') }}</span></h1>
                <div id="apps-list">
                    <p>{{ 'Die folgenden Links verweisen alle auf Web- und Fanseiten, die von Spielern kreiert wurden. Ihr findet auf ihnen zusätzliche Informationen oder nützliche Tools für das Spiel:'|trans({}, 'global') }}</p>
                    <ul>
                        {% for ex in apps %}
                            {# @var ex \App\Entity\ExternalApp #}
                            {% if not ex.testing or ex.owner == app.user %}
                                <li class="app-external" data-id="{{ ex.id }}">
                                    <a target="_blank" href="{{ path('disclaimer', { 'id': ex.id }) }}">
                                        {% if ex.imageName is not null %}
                                            <img alt="" src="{{ path('app_web_app_icon', { aid: ex.id, name: ex.imageName, ext: ex.imageFormat }) }}" />
                                        {% else %}
                                            <img alt="" src="{{ asset('build/images/apps/null.gif') }}" />
                                        {% endif %}
                                        <span>{{ ex.name }}</span></a>
                                    {% if ex.owner == app.user and not ex.linkOnly %}
                                        <div class="small"><strong>SK:</strong> {{ ex.secret }}</div>
                                    {% endif %}
                                </li>
                            {% endif %}
                        {% endfor %}
                    </ul>
                </div>
            </div>
        {% endif %}
    {% endblock %}
    {% if (is_granted('ROLE_CROW') and adminActions is defined) or (is_granted('ROLE_ELEVATED') and comActions is defined and (clock is not defined or clock.attack != 0)) %}
        <div id="modeCommand">
            <h1><span>{{ is_granted('ROLE_CROW') ? 'Moderation'|trans({},'global') : 'Community-Tools'|trans({},'global') }}</span></h1>
            <div id="scrollMenu">
                <ul>
                    {% for adminId, adminAction in (is_granted('ROLE_CROW') ? adminActions : comActions) %}
                        {# @var adminAction \App\Entity\AdminAction #}
                        <a class="link" {% if app.user.openModToolsSameWindow %}x-ajax-{% endif %}href="{{ path('admin_action', { 'id': adminId }) }}"><span>{{ adminAction.name|trans({},'admin') }}</span></a><br>
                    {% endfor %}
                </ul>
            </div>
        </div>
    {% endif %}
    <div id="gma" class="game-menu-area">
        {% block gma %}
            <div class="game-bar">
                {% block text_menu_content %}
                <ul class="text-menu">
                    <li class="burger-button"><i class="fa fa-bars"></i></li>
                    {% if is_granted('ROLE_USER') and (clock is not defined or clock.attack != 0) %}
                        <li class="forum" x-ajax-href="{{ url('forum_town_redirect') }}">
                        <div class="tooltip help">
                    		<p>{% trans from 'game' %}Mit den anderen Bürgern reden... {% endtrans %}</p>
                        	<p style="color: #f0d79e;"><em>{% trans from 'game' %}Lesen und Nutzen des Forums sind in 'MyHordes' überlebensnotwendig! Die wichtigen Entscheidungen der Stadt werden hier gemeinsam von der Community getroffen.{% endtrans %}</em></p>
                		</div>
						{{ 'Forum'|trans({},'global') }}</li>
                    {% endif %}
                    {% block menu_text %}
                        {% if app.user and (clock is not defined or clock.attack != 0) %}
                            {% if app.user.activeCitizen %}
                                <li class="town-news" x-ajax-href="{{ url('game_newspaper') }}">
                                	<div class="tooltip help">
                    					<p>{% trans from 'game' %}Das Leichsblatt: Hier findet ihr alle Neuigkeiten, über das, was gestern in der Stadt passiert ist...{% endtrans %}</p>
                        				<p style="color: #f0d79e;"><em>{% trans from 'game' %}Schaut am besten jeden Tag einmal rein!{% endtrans %}</em></p>
                					</div>
                                	{{ 'Zeitung'|trans({},'game') }}
                                </li>
                            {% else %}
                                <li class="town-dash" x-ajax-href="{{ url('ghost_welcome') }}">
                                	<div class="tooltip help">
                    					<p>{{ 'Starten Sie eine Stadt'|trans({},'game') }}</p>
                        				<p style="color: #f0d79e;"><em>{% trans from 'game' %}Es ist Zeit, sich seinen Mitmenschen in der Hölle anschließen!{% endtrans %}</em></p>
                					</div>
                                	{{ 'Spiel'|trans({},'global') }}
                                </li>
                            {% endif %}
                            {# @var \App\Entity\GlobalPoll poll #}
                            {% if poll is defined and poll %}
                                <li class="poll-dash" x-ajax-href="{{ url('soul_polls', {id: poll.id}) }}">
                                    <button class="no-mobile-resize">
                                        <span>{{ 'Umfrage starten'|trans({},'global') }}</span>
                                        <div class="tooltip">
                                            <b>{{ poll.titleByLang( app.user.language ) }}</b>
                                            <div>{{ poll.shortDescriptionByLang( app.user.language ) }}</div>
                                        </div>
                                    </button>
                                </li>
                            {% endif %}
                        {% endif %}
                    {% endblock %}
                    {% if is_granted('ROLE_USER') and (clock is not defined or clock.attack != 0) %}
                        <li class="soul" x-ajax-href="{{ url('soul_me') }}">
                        	<div class="tooltip help">
                    			<p>{{ 'Deine Seele'|trans({},'global') }}</p>
                        		<p style="color: #f0d79e;"><em>{% trans from 'game' %}Deine gesamte Geschichte basiert auf deinen zuvor gespielten Städten...{% endtrans %}</em></p>
                			</div>
                        	{{ 'Deine Seele'|trans({},'global') }}
                        </li>
                    {% endif %}
                    <li class="help" x-ajax-href="{{ url('help') }}">
                    	<div class="tooltip help">
                    		<p>{{ 'Spielhilfe aufrufen.'|trans({},'game') }}</p>
                        	<p style="color: #f0d79e;"><em>{% trans from 'game' %}Hast du schon unter "Wie wird gespielt" nachgeschaut? Du findest den Link darauf unter der Karte der Stadt.{% endtrans %}</em></p>
                		</div>
                    	{{ 'Hilfe'|trans({},'global') }}
                    </li>
                </ul>
            {% endblock %}
                {% block menu_bar %}{% endblock %}
            </div>
            <div class="game-dropdown hidden" style="height: 0">
                {{ block('text_menu_content') }}
            </div>
        {% endblock %}
    </div>
    {% if poll is defined and poll %}
        <div style="height: 32px;"></div>
    {% endif %}
    {% block ajax %}
    {% endblock %}
{% endblock %}
{% block js %}
    {{ parent() }}
    {{ include('ajax/flash.html.twig') }}
    <script>
        document.querySelector('#gma>.game-bar .burger-button')?.addEventListener('click', function() {
            let dropdown = document.querySelector('#gma>.game-dropdown');
            dropdown.classList.toggle('hidden');
            if (dropdown.classList.contains('hidden'))
                dropdown.style.height = '0px';
            else {
                const target_height = document.querySelector('#gma .game-dropdown > ul.text-menu').getBoundingClientRect().height;
                dropdown.style.height = Math.ceil(target_height) + 'px';
            }
        });
        {% if custom_css is defined and custom_css != '' %}
            if (!document.body.classList.contains('page-attract'))
                document.body.classList.add('{{ custom_css }}');
        {% endif %}
        
        {% if block('title') is defined %}
            $.html.setTitleSegmentAddendum( '{{ block('title')|replace({"\n": "", "\r": "", "\t": "", "'": "\\\'", "&amp;":"&"})|raw }}' );
        {% else %}
            $.html.setTitleSegmentAddendum( null );
        {% endif %}
    </script>
{% endblock %}